List all packages of a center

This API helps you to retrieve all the packages that are active in the center. You must specify the unique identifier of the center as center_id in the API request.You can also leverage the pagination feature by passing page and size query parameters if you have a large number of records to be displayed. By default, page is set as 1 and size is set as 10. size cannot be more than 100: which means that the maximum records per page cannot be more than 100.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
packagesobjectObject that contains all the packages-related elements.
page_infoobjectObject that contains all the display page-related elements.
errorobjectObject that contains error message and error code details. For more information, refer to the error Object table.
codemessage
401Authorization has been denied for this request.
502invalid center_id.
400The request is invalid.

ListPackageInfo

Json propertyData typeDescription
packagesListList of package info objects.
page_infoPaginationDetailsViewModelContains page information.
error

packages object (PackageInfo)

Json propertyData typeDescription
idGuidID of the package.
codestringCode of the package.
namestringName of the package.
descriptionstringDescription of the package.
typePackageTypePackage type: day, series, or promo.
activeboolIndicates whether the package is active.
category_idGuid?Category ID of the package.
business_unit_idGuid?Business unit ID of the package.
version_idGuidVersion ID of the package.
html_descriptionstringHTML description content.
timeintPackage length in minutes.
booking_start_dateDateTime?Booking start date.
booking_end_dateDateTime?Booking end date.
sacstringSAC of the package. Ignored when null.
commissionPackageComissionCommission details of the package.
day_packageDayPackageInfoDay package details. Ignored when null.
promo_packagePromoPackageInfoPromo package details. Ignored when null.
series_packageSeriesPAckageInfoSeries package details. Ignored when null.
preferencesPackagePreferencesPackage settings and preferences.
catalog_infoServiceCatalogInfoCatalog information of the package.
centersListCenter pricing details for the package.
tagsListTag IDs linked to the package.
benefitsBenefitsServices, products, and bundled products.
discountsDiscountsFor future use. Ignored when null.
internalProductInfoInternalInternal-only information. Ignored when null.

centers object (PackagePriceInfo)

Json propertyData typeDescription
center_idGuidCenter identifier.
currency_idintCurrency identifier.
sale_pricedecimalSale price at the center.
price_with_taxdecimalPrice including tax.
tax_idGuid?Tax identifier of the center.
auto_renewalboolAuto renewal price setting.
discount_pricedecimal?Final member price when applicable.

SeriesPAckageInfo

Json propertyData typeDescription
typeSeriesPackageTypeSeries package type.
cost_to_centerdecimal?Cost of the package to the center.
initial_recognizationdecimalInitial revenue recognition value.
schedulePackageScheduleSchedule details of the package.
freeze_countintAllowed freeze count.
validitySeriesPackageValidityInfoValidity details of the package.
validate_first_redemptionboolStart validity from first redemption.
transfer_service_creditsboolWhether service credits are transferable.
terms_and_conditionsstringTerms and conditions text.
regularRegularSeriesPackageInfoRegular series package details.
offerOfferSeriesPackageInfoOffer series package details.
custom_templateCustomSeriesPackageInfoCustom series package template details.

PackagePreferences

Json propertyData typeDescription
allow_cancellation_feeboolAllow cancellation fee.
allow_cancellation_comissionboolAllow cancellation commission.
allow_no_show_feeboolAllow no-show fee.
allow_no_show_comissionboolAllow no-show commission.
allow_membership_redemptionboolAllow membership redemption.
allow_giftcard_redemptionboolAllow gift card redemption.
enforce_otpboolEnforce OTP for package redemption.

PackageComission

Json propertyData typeDescription
eligibleboolIndicates commission eligibility.
factordecimalCommission factor.
typePackageComissionTypesType of commission.
valuedecimalCommission value.

PackageSchedule

Json propertyData typeDescription
days_for_first_paymentint?Days until first payment starts.
payment_frequencyint?Payment frequency count.
payment_frequency_typeint?Frequency type: days or months.
number_of_instalmentsint?Number of installments.

RegularSeriesPackageInfo

Json propertyData typeDescription
min_partial_paymentdecimalMinimum partial payment amount.
price_inclusive_of_bundled_productsboolInclude bundled products in price.
appointment_start_timestringBooking start time.
appointment_end_timestringBooking end time.
targetPackageTargetTarget details for the package.

PackageTarget

Json propertyData typeDescription
target_namestringName of the target.
target_typeint?Type of the target.
target_valuedecimal?Value of the target.
close_when_target_metboolClose when target services are met.

SeriesPackageValidityInfo

Json propertyData typeDescription
expiry_dateDateTime?Expiry date of the package.
expiryint?Expires after these many days.
grace_periodstringGrace period settings.
validity_idstringPackage validity identifier.

PackageServiceInfo

Json propertyData typeDescription
idGuidService identifier.
item_typeintCategory, service, or tag type.
quantityintQuantity of the item.
orderintDisplay order.
recognize_revenueboolRecognize revenue for this item.

PackageProductInfo

Json propertyData typeDescription
idGuidProduct identifier.
item_typeintCategory, product, or tag type.
quantityintQuantity of the item.

Enum: PackageComissionTypes

NameValueDescription
comission_settings1Use commission settings.
flat_amount2Flat amount commission.
revenue_percentage3Revenue percentage commission.
Path Params
string
required

Mandatory Unique 32-character identifier of the center.

Query Params
date

Optional Date of the appointment.

string
enum

Optional Indicates the type of package: DayPackage - 1, SeriesPackage - 2, PromoPackage - 3.

Allowed:
boolean

Optional Indicates whether any services are to be excluded from the package.

boolean

Optional Indicates whether any service-level tax packages are to be blocked.

int32
Defaults to 1

Optional Number of the display page. Default value is 1.

int32
Defaults to 10

Optional Number of records per page. Default value is 10.

boolean

Optional Indicates whether the package is displayed on the Catalog tab. Default value is false.

string

Expands specific sections of the package details such as centers, catalog_info, preferences, benefits, tags.

int32

Filter packages by category.

string
Defaults to null

Text filter to search packages by name or description.

boolean
Defaults to false

Returns only active packages when true.

string
enum
Defaults to null

Filters results by package type (e.g., Day, Series, Promo).

Allowed:
string
enum
Defaults to null

Type of the series package (e.g., Regular, Offer, Custom).

Allowed:
boolean
Defaults to false

Include member pricing in the response. Returns discount_price for eligible guests.

int32
Defaults to null

Guest identifier to determine member pricing when using an API key. Must be used with member_price=true.

boolean
Defaults to false

Include only day packages that can be sold as gift cards.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain